Get details of a specific system node

View as Markdown
Retrieve the system node's details.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequiredformat: "uuid"
A UUID string identifying this template node.

Response

idstringRead-onlyformat: "uuid"
createddatetimeRead-only
modifieddatetimeRead-only
namestring<=255 characters
imagestringformat: "uuid"
The image representing the operating system of the node.
simulationstring or nullOptionalformat: "uuid"
The simulation which owns the template node. If null, the template node will be globally available.
memoryintegerOptional1-2147483647
RAM, in MiB.
storageintegerOptional1-2147483647
Disk space, in GB.
cpuintegerOptional1-2147483647
Number of CPU cores.
categoryenumOptional

The Air specific category the node belongs to.

  • “ - None
  • SERVER - Server
  • SWITCH - Switch
  • OOB_SERVER - OOB Management Server
  • OOB_SWITCH - OOB Management Switch
labelsobjectOptional
Labels associated with the system node.
split_optionsany or nullOptional
A list of possible split options for interfaces for this node

Errors

403
Forbidden Error
404
Not Found Error
500
Internal Server Error